import IHttpClient from '../../types/http-client';
import Application from '../../types/input/application';
import { DeleteArgs, GetArgs, IAvatarsRepo, SaveArgs } from '../../types/repositories/avatars';
export default class AvatarsRepository implements IAvatarsRepo {
    private httpClient;
    private application;
    constructor(httpClient: IHttpClient, application: Application);
    save({ imageBase64, userContext, }: SaveArgs): Promise<any>;
    get({ userContext, ownerContext }: GetArgs): Promise<any>;
    delete({ userContext, }: DeleteArgs): Promise<any>;
}
